PrefabFiles = {"bannanacreme",
		"batbites",
		"cavernstew",
		"cupcaves",
		"grilledshrooms",
		"lasagna",
		"mushedshrooms",
		"veggimeatstew",
		"fisheadstew",
		"spiderbites",
		"grilledcorn",
		"punkinpie",
		"cake",
		"bratwurst",
		"spice",

}

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH


--GLOBAL.STRINGS.NAMES.BANNANACREME = "Bannana Creme Pie"
--GLOBAL.STRINGS.NAMES.BATBITES = "Bucket 'O Bat"
--GLOBAL.STRINGS.NAMES.BRATWURST = "Bratwurst"
--GLOBAL.STRINGS.NAMES.CAKE = "Tasty Cake"
--GLOBAL.STRINGS.NAMES.CAVERNSTEW = "Subterranean Stew"
--GLOBAL.STRINGS.NAMES.CUPCAVES = "Cupcaves"
--GLOBAL.STRINGS.NAMES.FISHEADSTEW = "Eel Head Soup"
--GLOBAL.STRINGS.NAMES.GRILLEDSHROOMS = "Grilled 'Shrooms"
--GLOBAL.STRINGS.NAMES.GRILLEDCORN = "Buttered Corn"
--GLOBAL.STRINGS.NAMES.LASAGNA = "Lasagna"
--GLOBAL.STRINGS.NAMES.MUSHEDSHROOMS = "Mushed 'Shrooms"
--GLOBAL.STRINGS.NAMES.PUNKINPIE = "Pumpkin Pie"
--GLOBAL.STRINGS.NAMES.SPIDERBITES = "Kave Kabobs"
GLOBAL.STRINGS.NAMES.SPICE = "Spices"
--GLOBAL.STRINGS.NAMES.VEGGIMEATSTEW = "Veggimeat Roast"


STRINGS.RECIPE_DESC.SPICE = "Used for custom cooking."
spice = GLOBAL.Ingredient("spice",1)



	local spice = GLOBAL.Recipe("spice", { Ingredient("seeds", 1)}, RECIPETABS.REFINE, TECH.NONE)
	spice.atlas = "images/inventoryimages/spice.xml"



AddIngredientValues({"batwing","batwing_cooked"}, {meat=1, monster=1})
AddIngredientValues({"cave_banana","cave_banana_cooked"}, {veggie=1})
AddIngredientValues({"lightbulb"}, {veggie=1})
AddIngredientValues({"plantmeat", "plantmeat_cooked"}, {veggie=1})
AddIngredientValues({"monstermeat", "monstermeat_cooked"}, {meat=1, monster=1})
AddIngredientValues({"eel","eel_cooked"}, {meat=.5,fish=1})
AddIngredientValues({"spice"}, {spices=1})



	local bannanacreme =
	{
		name = "bannanacreme",
		test = function(cooker, names, tags) return (names.cave_banana or names.cave_banana_cooked) and names.spice end,
		priority = 1,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_LARGE,
		perishtime = TUNING.PERISH_MED,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",bannanacreme)
	

		

	local batbites = 
	{
		name = "batbites",
		test = function(cooker, names, tags) return (names.batwing or names.batwing_cooked) and names.spice end,
		priority = 1,
		weight = 1,
		foodtype="MEAT",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_MED,
		cooktime = .75,
	}
	AddCookerRecipe("cookpot",batbites)


	local bratwurst = 
	{
		name = "bratwurst",
		test = function(cooker, names, tags) return (names.meat or names.meat_cooked) and names.spice and tags.veggie end,
		priority = 10,
		weight = 1,
		foodtype="MEAT",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_MED,
		cooktime = .75,
	}
	AddCookerRecipe("cookpot",bratwurst)


	local cake =
	{
		name = "cake",
		test = function(cooker, names, tags) return names.honey and names.bird_egg and names.butter and names.spice end,
		priority = 1,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,
		hunger = TUNING.CALORIES_MED,
		sanity = TUNING.SANITY_LARGE,
		perishtime = TUNING.PERISH_MED,
		cooktime = 2,

	}
	AddCookerRecipe("cookpot", cake)


	local cavernstew = 
	{
		name = "cavernstew",
		test = function(cooker, names, tags) return (names.batwing or names.batwing_cooked) and names.spice and tags.veggie end,
		priority = 10,
		weight = 1,
		foodtype="MEAT",
		health = TUNING.HEALING_LARGE,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_MED,
		perishtime = TUNING.PERISH_MED,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",cavernstew)

	local cupcaves = 
	{
		name = "cupcaves",
		test = function(cooker, names, tags) return names.lightbulb and names.spice and not tags.meat end,
		priority = 1,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",cupcaves)

	local fisheadstew = 
	{
		name = "fisheadstew",
		test = function(cooker, names, tags) return names.lightbulb and (names.eel or names.eel_cooked) and names.spice end,
		priority = 1,
		weight = 10,
		foodtype="MEAT",
		health = TUNING.HEALING_SMALL,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = 1,
	}
	AddCookerRecipe("cookpot",fisheadstew)

	local grilledshrooms = 
	{
		name = "grilledshrooms",
		test = function(cooker, names, tags) return names.red_cap and names.blue_cap and names.green_cap and names.spice end,
		priority = 1,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_MED,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",grilledshrooms)

	local grilledcorn = 
	{
		name = "grilledcorn",
		test = function(cooker, names, tags) return names.corn and names.spice and names.butter end,
		priority = 1,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = .5,
	}
	AddCookerRecipe("cookpot",grilledcorn)
	
	local lasagna = 
	{
		name = "lasagna",
		test = function(cooker, names, tags) return tags.meat and (names.eggplant or names.eggplant_cooked) and names.spice end,
		priority = 1,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_MED,
		perishtime = TUNING.PERISH_FAST,
		cooktime = .5,
	}
	AddCookerRecipe("cookpot",lasagna)


	local mushedshrooms = 
	{
		name = "mushedshrooms",
		test = function(cooker, names, tags) return names.lightbulb and names.spice and (names.red_cap or names.blue_cap or names.green_cap) end,
		priority = 10,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_MED,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_FAST,
		cooktime = .5,
	}
	AddCookerRecipe("cookpot",mushedshrooms)

	local punkinpie = 
	{
		name = "punkinpie",
		test = function(cooker, names, tags) return names.pumpkin and names.spice and names.butter end,
		priority = 10,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_LARGE,
		hunger = TUNING.CALORIES_HUGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",punkinpie)

	local spiderbites = 
	{
		name = "spiderbites",
		test = function(cooker, names, tags) return names.lightbulb and names.twigs and names.spice and (names.monstermeat or monstermeat_cooked) end,
		priority = 5,
		weight = 1,
		foodtype="MEAT",
		health = TUNING.HEALING_SMALL,
		hunger = TUNING.CALORIES_LARGE,
		sanity = TUNING.SANITY_TINY,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = 2,
	}
	AddCookerRecipe("cookpot",spiderbites)

	local veggimeatstew = 
	{
		name = "veggimeatstew",
		test = function(cooker, names, tags) return (names.plantmeat or names.plantmeat_cooked) and names.spice and not tags.meat end,
		priority = 10,
		weight = 1,
		foodtype="VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_MED,
		sanity = TUNING.SANITY_MED,
		perishtime = TUNING.PERISH_SLOW,
		cooktime = .5,
	}
	AddCookerRecipe("cookpot",veggimeatstew)
	
	local wetgoop =
	{
		name = "wetgoop",
		test = function(cooker, names, tags) return true end,
		priority = -2,
		weight = 1,
		health=0,
		hunger=0,
		perishtime = TUNING.PERISH_FAST,
		sanity = 0,
		cooktime = .25,
	}




	



 










