assets=
{
    Asset("ANIM", "anim/bannanacreme.zip"),
    Asset("IMAGE", "images/inventoryimages/bannanacreme.tex"),
    Asset("ATLAS", "images/inventoryimages/bannanacreme.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("bannanacreme")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/bannanacreme.xml"


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_MED
    inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_LARGE
	
    inst:AddComponent("perishable")

	inst.components.perishable:SetPerishTime(TUNING.PERISH_PRESERVED)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    
    
    return inst
end

STRINGS.NAMES.BANNANACREME = "Bannana Creme Pie"

-- Randomizes the inspection line upon inspection.
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BANNANACREME = {	
	"Why do I feel like I'm in a vaudeville act?", 
	 
}


return Prefab( "common/inventory/bannanacreme", fn, assets)