assets=
{
    Asset("ANIM", "anim/cavernstew.zip"),
    Asset("IMAGE", "images/inventoryimages/cavernstew.tex"),
    Asset("ATLAS", "images/inventoryimages/cavernstew.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("cavernstew")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/cavernstew.xml"


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_LARGE
    inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
	inst.components.edible.sanityvalue = TUNING.SANITY_MED
	
    inst:AddComponent("perishable")

	inst.components.perishable:SetPerishTime(TUNING.PERISH_PRESERVED)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    
    
    return inst
end

STRINGS.NAMES.CAVERNSTEW = "Subterranean Stew"

-- Randomizes the inspection line upon inspection.
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CAVERNSTEW = {	
	"Um.  Yeah... tasty.  Really.", 
	 
}


return Prefab( "common/inventory/cavernstew", fn, assets)