assets=
{
    Asset("ANIM", "anim/mushedshrooms.zip"),
    Asset("IMAGE", "images/inventoryimages/mushedshrooms.tex"),
    Asset("ATLAS", "images/inventoryimages/mushedshrooms.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("mushedshrooms")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/mushedshrooms.xml"


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_MED
    inst.components.edible.hungervalue = TUNING.CALORIES_MED
	inst.components.edible.sanityvalue = TUNING.SANITY_TINY
	
    inst:AddComponent("perishable")

	inst.components.perishable:SetPerishTime(TUNING.PERISH_PRESERVED)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    
    
    return inst
end

STRINGS.NAMES.MUSHEDSHROOMS = "Mushed 'Shrooms"

-- Randomizes the inspection line upon inspection.
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHEDSHROOMS = {	
	"Ugh.  And I thought they smelled bad before.", 
	 
}

return Prefab( "common/inventory/mushedshrooms", fn, assets)